Bug 853910 - beta3 - Fix the check to convert block domains V0 to tag based metadata
beta3 - Fix the check to convert block domains V0 to tag based metadata
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Federico Simoncelli
Dafna Ron
: ZStream
Depends On:
  Show dependency treegraph
Reported: 2012-09-03 06:03 EDT by Federico Simoncelli
Modified: 2012-12-09 12:34 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-35.0
Doc Type: Bug Fix
Doc Text:
During a domain upgrade from metadata version 1 to 3, block domains were not converted to the tag-based metadata. The convertDomainMetadataToTags function has been fixed to upgrade block domains to the tagged format when upgrading from any prior release to the current release.
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 14:09:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2012-09-03 06:03:47 EDT
Description of problem:
During the domain upgrade from 0 (V1 in the engine) to 3 the block domain (iscsi/fcp/...) is not converted to the tag based metadata.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. upgrade a DC (with block domains) from 3.0 to 3.1
2. check the domain volume group (vgs -o +tags)

Actual results:
# vgs -o +tags
  VG                                   #PV #LV #SN Attr   VSize  VFree  VG Tags
  8f307b0f-6136-4ee3-8565-40a757e05a45   1   6   0 wz--n- 19.62g 15.75g RHAT_storage_domain

(no metadata in the tags)

Expected results:
The domain should be converted to the tag based metadata.

Additional info:
A patch has been proposed upstream:

commit 5c82f5198a57f6d351eeb2b675f77e6601df1690
Author: Federico Simoncelli <fsimonce@redhat.com>
Date:   Tue Jun 19 15:33:39 2012 +0000

    Fix the check to convert block domains V0 to tag metadata
    In this patch:
    * fix the check to decide if we should upgrade to tag metadata
    * make __convertDomainMetadataToTags safer
    Change-Id: Ic034c0bf90ce3ecd82dad2f5879838bb1445e7e2
    Signed-off-by: Federico Simoncelli <fsimonce@redhat.com>

Comment 4 Dafna Ron 2012-10-14 09:34:48 EDT
verified on vdsm-python-4.9.6-37.0.el6_3.x86_64

root@gold-vdsd ~]#  vgs -o +tags 
  VG                                   #PV #LV #SN Attr   VSize   VFree  VG Tags                                                                              

  402471a6-154f-43a3-b9fe-5308024c33a6   2  10   0 wz--n-  99.75g 87.88g RHAT_storage_domain,MDT_IOOPTIMEOUTSEC=,MDT_ROLE=Regular,MDT_POOL_SPM_ID=-1,MDT_VERSION=3,MDT_TYPE=ISCSI,MDT_VGUUID=GDXWuw-v5Lm-LasB-5JBR-ddlH-pBRd-3VmZhl,MDT_LOGBLKSIZE=512,MDT_LEASETIMESEC=,MDT__SHA_CKSUM=266fedb0a788c18c5f1e580f744be098756b154e,MDT_POOL_SPM_LVER=-1,MDT_PV0=pv:1Dafna-041349352&44&uuid:ZdF3DC-n7rP-mMcI-1ei7-8BdE-Vq34-apeXAU&44&pestart:0&44&pecount:399&44&mapoffset:0,MDT_MASTER_VERSION=0,MDT_LOCKPOLICY=,MDT_LOCKRENEWALINTERVALSEC=,MDT_LEASERETRIES=,MDT_POOL_UUID=11d18980-5c97-40ca-b7ff-6d1fa0f01cc8,MDT_PHYBLKSIZE=512,MDT_SDUUID=402471a6-154f-43a3-b9fe-5308024c33a6,MDT_CLASS=Data,MDT_DESCRIPTION=Dafna-01,MDT_PV1=pv:1Dafna-011349352&44&uuid:bKfCLy-8NPZ-PEys-7C83-YuMc-zbCG-23dAB0&44&pestart:0&44&pecount:399&44&mapoffset:399
Comment 8 errata-xmlrpc 2012-12-04 14:09:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.